[arch-commits] Commit in python-enaml/trunk (PKGBUILD)

Jelle van der Waa jelle at archlinux.org
Mon Dec 16 13:24:03 UTC 2019


    Date: Monday, December 16, 2019 @ 13:24:03
  Author: jelle
Revision: 537856

wip PKGBUILD

enaml is not Python 3.8 compatible

Modified:
  python-enaml/trunk/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-16 13:03:43 UTC (rev 537855)
+++ PKGBUILD	2019-12-16 13:24:03 UTC (rev 537856)
@@ -1,6 +1,31 @@
 # Maintainer: Jelle van der Waa <jelle at archlinux.org>
 
+_name=enaml
 pkgname=python-enaml
-pkgver=
+pkgver=0.10.4
 pkgrel=1
+pkgdesc='Declarative User Interfaces for Python'
+arch=(x86_64)
+license=('BSD' 'custom')
+depends=(python-atom python-pyqt5 python-kiwisolver python-ply python-setuptools)
+checkdepends=(python-pytest)
+source=($pkgname-$pkgver::https://github.com/nucleic/enaml/archive/$pkgver.tar.gz)
+sha512sums=('c31cd1849bfc35c92db469891553a66fbc1e56383ae6741042b3ec9f15647289cb9e88f62a9b96dfa42316464f3e2e41afc39e6e5e006b7a580bb294995f1f52')
 
+build() {
+  cd ${_name}-${pkgver}
+  python setup.py build
+}
+
+check() {
+  cd ${_name}-${pkgver}
+  local python_version=$(python -c 'import sys; print(".".join(map(str, sys.version_info[:2])))')
+
+  PYTHONPATH="$PWD/build/lib.linux-$CARCH-${python_version}" pytest
+}
+
+package() {
+  cd ${_name}-${pkgver}
+  python setup.py install -O1 --root="${pkgdir}" --skip-build
+  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}


More information about the arch-commits mailing list